<template>
  <div style="margin: 0 3rem">
    <header style="margin:10rem 6rem 0 6rem">
      <ReturnButton :offsetArrow="20" :spanTitle="3" title="Menú principal" v-on:clickEvent="returnPage" style="margin-bottom:2.5rem"></ReturnButton>
    </header>
    <!-- COMPONENTE TITULO -->
    <div style="margin:0 6rem 0rem">
      <app-title Title="MATERIALES DE FUSIÓN GOURMET" bgColor="background-color: #4A4A4A !important"> </app-title>
    </div>

    <el-main style="margin:0rem 6rem" class="addSpaceForLoadding">
      <el-row v-if="isNotContent" v-loading="loading" :element-loading-text="loadingText">
        <el-col :span="24" style="display: flex; justify-content: center" v-show="isNotContent && !loading">
          <img src="../../assets/images/no-materiales.svg">
        </el-col>
      </el-row>
      <el-row v-else type="flex" style="flex-wrap: wrap">      
        <el-col class="text-center with-cards" style="padding: 10px 50px 50px;" v-for="(item, index) in contentCards" :key="index" v-show="item.isShow == true && conditionalShow(item.instance)">
          <app-cardReviewHome
            @goTo="materialCanned(item.name)"
            :titleTop="true" :textTop="item.name" 
            :titleBottom="false" 
            :styleTitleTop="item.colorTitle" 
            :colorCaret="item.colorCaret"
            :rutaImg="require(`@/assets/images/${item.routeImg}`)"
            :isBigLetters="item.isBigLetters"
            :styleCard="item.styleCard">
          </app-cardReviewHome>
        </el-col>
      </el-row>
    </el-main>

  </div>
</template>

<script>
// @ is an alias to /src
import ReturnButton from '@/components/ReturnButton.vue'
import cardReviewHome from '@/components/cardReviewHome.vue'
import Title from '@/components/Title.vue'
import { HTTP } from '../../main.js'
import { contentCardsData } from '@/enums.js'

export default {
  components: {
    'app-cardReviewHome': cardReviewHome,
    'app-title': Title,
     ReturnButton
  },
  data () {
    return {
      arrFusion: [],
      nameView : this.$localStorage.get('nameView'),
      /*MATERIALES*/
      novelsCount: 0,
      cartoonsCount: 0,
      seriesCount: 0,
      specialsCount: 0,
      /*Add new cards*/
      movCount: 0,
      minCount: 0,
      cookCounter: 0,
      comicCounter: 0,
      deportCounter: 0,
      entertainmentCounter: 0,
      interviewCounter: 0,
      childCounter: 0,
      magazineCounter: 0,
      microprogramCounter: 0,
      periodisticoCounter: 0,
      programEspecialCounter: 0,
      religiousCounter: 0,
      talkshowCounter: 0,
      electoralCounter: 0,
      femaleCounter: 0,
      politicalCounter: 0,
      contentCards: contentCardsData,
      loading: true,
      loadingText: 'Cargando Materiales de Fusión Gourmet...',
    }
  },
  created () {
    contentCardsData.forEach((e, i) => {
      this.getMaterial(e.name, e.instance)
    })
    if (this.arrFusion.length == 0) {
      this.loading = false
    }
  },
  computed: {
    isNotContent() {
      if(
        this.movCount == 0 &&
        this.novelsCount == 0 &&
        this.seriesCount == 0 &&
        this.minCount == 0 &&
        this.cartoonsCount == 0 &&
        this.specialsCount == 0 &&
        this.cookCounter== 0 &&
        this.comicCounter== 0 &&
        this.deportCounter== 0 &&
        this.entertainmentCounter== 0 &&
        this.interviewCounter== 0 &&
        this.childCounter== 0 &&
        this.magazineCounter== 0 &&
        this.microprogramCounter== 0 &&
        this.periodisticoCounter== 0 &&
        this.programEspecialCounter== 0 &&
        this.religiousCounter== 0 &&
        this.talkshowCounter== 0 &&
        this.electoralCounter== 0 &&
        this.femaleCounter == 0 &&
        this.politicalCounter == 0
      ) {
        return true
      } else {
        return false
      }
    }
  },
  methods: {
    getMaterial (material, value) {
      let fusion = []
      let allMaterials = this.$store.state.allMaterials
      allMaterials.map((el) => {

        if (el.stringMaterialType === 'Fusión Gourmet' && el.typeOfContent === material ) {
          fusion.push(el)
          this.arrFusion = fusion
          this[value] = this.arrFusion.length
        }
      })
      // else {
      //   this.loading = true
      // }
      // this.arrFusion = fusion
      console.log(this.arrFusion,'this.arrFusion')
      console.log(this.arrFusion.length,'this.arrFusion.length')
    },
    returnPage () {
      this.$router.push({ name: 'support'})
    },
    materialCanned (string) {
      this.$localStorage.set('typeMaterialR', 'Fusión Gourmet') //modificar
      this.$localStorage.set('typeContentSupport', string)// modificar material ahora es array
      

      this.$router.push({ name: 'fusionGourmetSoporte'})
    },    
    conditionalShow(value) {
      return this[value] > 0 ? true : false
    }  
  }
}
</script>

<style>
  .addSpaceForLoadding {
    min-height: 300px;
    /* align-items: center;
    display: flex; */
  }
</style>


